function newSprt02010Control(pageName, doctx="[data-doctx='sprt02010']") {
    let ctrlMain = new DatasetControl({
          doctx: doctx
        , prefix: "totalInfoMain"
        , prefixName: "개별총정보"
        , dataGetter: obj => obj["totalInfo"]
        , keys: ["CRDN_ID"]
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // 현재 선택 자료 변경 이벤트
    ctrlMain.onCurrentChange = (item) => {
        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrlMain.selector("[name='frmEdit']"));
        formFields.set(ctrlMain, item);

        // 건수를 표시한다.
        pageObject[pageName].fnChangeCountStatus();
    };

    return ctrlMain;
}
